Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions | Variables
ossl_pkey.c File Reference
`#include "ossl.h"`

Go to the source code of this file.

## Functions
int | ossl_generate_cb_2 (int p, int n, BN_GENCB *cb)
void | ossl_generate_cb_stop (void *ptr)
VALUE | ossl_pkey_new (EVP_PKEY *pkey)
void | ossl_pkey_check_public_key (const EVP_PKEY *pkey)
EVP_PKEY * | GetPKeyPtr (VALUE obj)
EVP_PKEY * | GetPrivPKeyPtr (VALUE obj)
EVP_PKEY * | DupPKeyPtr (VALUE obj)
void | Init_ossl_pkey (void)

## Variables
VALUE | mPKey
VALUE | cPKey
VALUE | ePKeyError
const rb_data_type_t | ossl_evp_pkey_type

## Function Documentation

## ◆ DupPKeyPtr()

EVP_PKEY* DupPKeyPtr | ( | VALUE | obj | ) |

Definition at line 252 of file ossl_pkey.c.

References EVP_PKEY_up_ref, GetPKey, and obj.

## ◆ GetPKeyPtr()

EVP_PKEY* GetPKeyPtr | ( | VALUE | obj | ) |

Definition at line 229 of file ossl_pkey.c.

References GetPKey, and obj.

## ◆ GetPrivPKeyPtr()

EVP_PKEY* GetPrivPKeyPtr | ( | VALUE | obj | ) |

Definition at line 239 of file ossl_pkey.c.

References obj, and rb_funcallv.

## ◆ Init_ossl_pkey()

void Init_ossl_pkey | ( | void |  | ) |

Definition at line 412 of file ossl_pkey.c.

References cPKey, eOSSLError, ePKeyError, mOSSL, mPKey, rb_cObject, rb_define_class_under(), rb_define_module(), rb_define_module_function(), rb_define_module_under(), and rb_eStandardError.

## ◆ ossl_generate_cb_2()

int ossl_generate_cb_2 | ( | int | p,
|  | int | n,
|  | BN_GENCB * | cb
| ) |  |

Definition at line 39 of file ossl_pkey.c.

References arg, BN_GENCB_get_arg, int, INT2NUM, n, rb_ary_new2, rb_ary_store(), rb_protect(), rb_thread_call_with_gvl(), rb_yield(), and ossl_generate_cb_arg::state.

## ◆ ossl_generate_cb_stop()

void ossl_generate_cb_stop | ( | void * | ptr | ) |

Definition at line 72 of file ossl_pkey.c.

References arg, and ptr.

## ◆ ossl_pkey_check_public_key()

void ossl_pkey_check_public_key | ( | const EVP_PKEY * | pkey | ) |

Definition at line 189 of file ossl_pkey.c.

References ePKeyError, n, NULL, ossl_raise(), and ptr.

## ◆ ossl_pkey_new()

VALUE ossl_pkey_new | ( | EVP_PKEY * | pkey | ) |

Definition at line 129 of file ossl_pkey.c.

References obj, and rb_protect().

## Variable Documentation

## ◆ cPKey

VALUE cPKey

Definition at line 16 of file ossl_pkey.c.

Referenced by Init_ossl_dh(), Init_ossl_dsa(), Init_ossl_ec(), Init_ossl_pkey(), and Init_ossl_rsa().

## ◆ ePKeyError

VALUE ePKeyError

Definition at line 17 of file ossl_pkey.c.

Referenced by Init_ossl_dh(), Init_ossl_dsa(), Init_ossl_ec(), Init_ossl_pkey(), Init_ossl_rsa(), and ossl_pkey_check_public_key().

## ◆ mPKey

VALUE mPKey

Definition at line 15 of file ossl_pkey.c.

Referenced by Init_ossl_dh(), Init_ossl_dsa(), Init_ossl_ec(), Init_ossl_pkey(), and Init_ossl_rsa().

## ◆ ossl_evp_pkey_type

const rb_data_type_t ossl_evp_pkey_type

Initial value:
= {
"OpenSSL/EVP_PKEY",
{
0, ossl_evp_pkey_free,
},
0, 0, RUBY_TYPED_FREE_IMMEDIATELY,
}

Definition at line 87 of file ossl_pkey.c.

RUBY_TYPED_FREE_IMMEDIATELY
#define RUBY_TYPED_FREE_IMMEDIATELY
Definition: ruby.h:1207